package nc.impl.wa.rule;

import java.util.Comparator;

import nc.vo.hrwa.waruleex.WageformdetExVO;
import nc.vo.pub.SuperVO;

/**
 * 
 * @author: xuhw
 * @date: 2009-11-25 下午01:13:33
 * @since: eHR V6.0
 * @走查人:
 * @走查日期:
 * @修改人:
 * @修改日期:
 */
public class WaRuleExComparator implements Comparator<SuperVO>
{
	/**
	 * @author xuhw on 2009-11-25
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	@Override
	public int compare(SuperVO vo1, SuperVO vo2)
	{
		if (vo1 instanceof WageformdetExVO)
		{
			if (vo1 != null && ((WageformdetExVO) vo1).getIlevel() != null)
			{
				if (((WageformdetExVO) vo1).getIlevel().compareTo(((WageformdetExVO) vo2).getIlevel()) > 0)
				{
					return 1;
				}	
			}
		}
		return 0;
	}
}
